
print("Utilisation de la relation I = Q / deltat = n(e) * (NA * e) /deltat")
print()
print("Que devez-vous calculer? I, n(e) ou deltat ?")

a=input("choix? : ")
NA=6.02214076e23   # constante Avogadro
e=1.602176634e-19   # charge élémentaire

if a == 'I':
    b=float(input("quantité de matière d'électrons (en mol) n(e) = "))
    c=float(input("durée de fonctionnement (en s) deltat = "))
    Q=NA*e*b
    d=NA*e*b/c
    print("Quantité de charges électriques (en C) Q = ", round(Q,4), " C")
    print("Intensité du courant électrique (en A) I = ", round(d,4), " A")

if a== 'n(e)':
    b=float(input("intensité du courant électrique I(A) = "))
    c=float(input("durée de fonctionnement (en s) deltat = "))
    Q=b*c
    d= b*c/(NA*e)
    print("Quantité de charges électriques (en C) Q = ", round(Q,4), " C")
    print("Quantité de matière d'électrons' (en mol) n(e) = %.3e"%d , " mol")
































